[**@rxap/config v19.0.3**](../README.md)

***

[@rxap/config](../globals.md) / Paths

# Type Alias: Paths\<T, D\>

> **Paths**\<`T`, `D`\>: \[`D`\] *extends* \[`never`\] ? `never` : `T` *extends* `object` ? \{ \[K in keyof T\]-?: K extends string \| number ? \`$\{K\}\` \| Join\<K, Paths\<T\[K\], Prev\[D\]\>\> : never \}\[keyof `T`\] : `""`

Defined in: [types.ts:13](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/types.ts#L13)

## Type Parameters

• **T**

• **D** *extends* `number` = `10`
